summaryrefslogtreecommitdiff
path: root/buildbot/restart.sh
diff options
context:
space:
mode:
Diffstat (limited to 'buildbot/restart.sh')
-rwxr-xr-xbuildbot/restart.sh14
1 files changed, 8 insertions, 6 deletions
diff --git a/buildbot/restart.sh b/buildbot/restart.sh
index 03d55a3..c6c4b25 100755
--- a/buildbot/restart.sh
+++ b/buildbot/restart.sh
@@ -2,10 +2,12 @@
set -eu
-DATE=`date`
-echo "Restarting Taler deployment at $DATE"
-source "${HOME}/activate"
-taler-deployment-restart
+cd ${HOME}/deployment/docker/demo
-echo "Deployment ready"
-exit 0
+export DOCKER_HOST=unix://${XDG_RUNTIME_DIR}/docker.sock
+export TALER_DEPLOYMENT_CONFIG=${HOME}/deployment.conf
+docker-compose stop
+docker-compose down -v
+docker-compose up --remove-orphans -d
+# Make early errors shown on the Web console:
+timeout 5m docker-compose logs --follow || true